PDA

View Full Version : Warcraft 3 Frozen Throne Beta - New protection?



antonm
05.03.2003, 22:44
My old war3 worked fine off the image I made with clone cd and with securom emulation however the beta asks for a cd to be inserted. Did they implement a new type of protection? I know its kind of an odd question considering not everyone was able to get the beta but any help would be appriciated.

philamber
06.03.2003, 01:03
Yes. Securom has been updated significantly since Warcraft III was released. Warcraft III used securom 4.68xxxx whilst the beta expansion disc, no doubt, uses securom 4.84xxxx which uses a very different method of protection.

From what you've said in your post, I assume that you want to run the game with an image from a dt virtual drive. If so, you'll need to make an image of the cd with alcohol using securom new 4.x settings.

Such an image should work when mounted on a dt virtual drive so long as the version of securom used on the cd hasn't blacklisted the current version of dt.

antonm
07.03.2003, 01:41
The thing is, the beta doesnt have a disk and I cant see how the protection can be uptdated considering it is using that same W3 Classic disc.....incase you didnt know it was only a download.....I may be wrong it just confused me how you said "beta disc".

LocutusofBorg
07.03.2003, 04:14
in many cases the companys send cd-roms with betaversions to the betatesters (f.e. EA Pacific/C&C Generals);
INSERT INTO `portal_posts_text` VALUES
while others simply send you a ftp-link with the needed files.

What concerns your Problem: Surely they can update the protection. They use the characteristics of the original WarCraft3 CD-ROM (which obviously DON'T need DPM, as those discs were produced before the introduce of the new Securom V4.8x / protection scheme). But it's possible that they add some new scans for our virtual drives (blacklisting).

If you enabled Securom Emulation, try to disable it, maybe that helps, otherwise I fear you have to wait for the next Version of Daemon Tools

antonm
07.03.2003, 21:54
Unfortunately I already tried disabling and enabling every option available. Thanks for the input though :/

NetSoerfer
07.03.2003, 22:19
KKH posted in this thread (http://web1.athen215.server4free.de/phpBB2/viewtopic.php?t=704) that it is protected with SecuROM v4.84.68.6354.